## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}
# header only lib

Name:           safeint
Version:        3.0.27
Release:        %autorelease
Summary:        Class library for C++ that manages integer overflows

License:        MIT
URL:            https://github.com/dcleblanc/SafeInt
Source0:        https://github.com/dcleblanc/SafeInt/archive/%{version}/SafeInt-%{version}.tar.gz

# https://github.com/dcleblanc/SafeInt/pull/48
Patch0:         safeint-3.0.27-gcc13_fix.patch
Patch1:         safeint-3.0.27-gcc98_test_rm.patch
Patch2:         safeint-3.0.27-gcc14_test_fix.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake

# Test fail on i686 arch
# https://bugzilla.redhat.com/show_bug.cgi?id=2144864#c5
ExcludeArch: %{ix86}

%global _description %{expand:
An integer overflow library that was originally created in Microsoft
Office in 2003, and later was made open source on CodePlex using the MS-PL
license. After CodePlex was deprecated, the project was moved to github
and the license was changed to the MIT license.}


%description
%{_description}


%package devel
Summary: %{summary}
Provides: %{name}-static = %{version}-%{release}


%description devel
%{_description}


%prep
%autosetup -p1 -n SafeInt-%{version}

%check
%cmake
%cmake_build
%ctest


%build


%install
install -d %{buildroot}%{_includedir}/SafeInt
install -D -p SafeInt.hpp -t %{buildroot}%{_includedir}/SafeInt/
install -D -p safe_math.h -t %{buildroot}%{_includedir}/SafeInt/
install -D -p safe_math_impl.h -t %{buildroot}%{_includedir}/SafeInt/


%files devel
%license LICENSE
%doc README.md
%dir %{_includedir}/SafeInt
%{_includedir}/SafeInt/SafeInt.hpp
%{_includedir}/SafeInt/safe_math.h
%{_includedir}/SafeInt/safe_math_impl.h


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.27-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.27-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 28 2023 Diego Herrera <dherrera@redhat.com> - 3.0.27-6
- Fix CPP14 and CPP98 tests

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Feb 07 2023 Diego Herrera <dherrera@redhat.com> - 3.0.27-4
- Fix tests on GCC13

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 13 2022 Diego Herrera <dherrera@redhat.com> - 3.0.27-2
- Add sources

* Mon Dec 12 2022 Diego Herrera <dherrera@redhat.com> - 3.0.27-1
- Initial import (fedora#2144864).
## END: Generated by rpmautospec
